/**
  */ 

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx.h"
#include "stm32f4xx_gpio.h"
#include "stm32f4xx_rcc.h"

#include "leds.h"

/** @addtogroup LEDS
  * @{
  */  

/**
  * @brief  Initializes the peripherals used by the LEDs driver.
  * @param  None
  * @retval None
  */
void LEDs_Init(void)
{
	GPIO_InitTypeDef GPIO_InitStructure;

	RCC_AHB1PeriphClockCmd( LED_GREEN_RCC | LED_RED_RCC | LED_BLUE_RCC | LED_ORANGE_RCC, ENABLE );

	// all leds are on the same port
	GPIO_InitStructure.GPIO_Pin   = LED_GREEN_PIN | LED_RED_PIN | LED_BLUE_PIN | LED_ORANGE_PIN;
	GPIO_InitStructure.GPIO_Mode = GPIO_Mode_OUT;
	GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
	GPIO_InitStructure.GPIO_Speed = GPIO_Speed_100MHz;
	GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_NOPULL;

	GPIO_Init(LED_BLUE_GPIO, &GPIO_InitStructure);
}

/**
  * @}
  */

/**
  * @}
  */

