/**
  */ 

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __LEDS_H
#define __LEDS_H

#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx.h"
#include "stm32f4xx_gpio.h"

/* LEDs Interface pins  */

#define LED_GREEN_GPIO			GPIOD
#define LED_GREEN_PIN			GPIO_Pin_12
#define LED_GREEN_RCC			RCC_AHB1Periph_GPIOD

#define LED_BLUE_GPIO			GPIOD
#define LED_BLUE_PIN			GPIO_Pin_15
#define LED_BLUE_RCC			RCC_AHB1Periph_GPIOD

#define LED_RED_GPIO			GPIOD
#define LED_RED_PIN				GPIO_Pin_14
#define LED_RED_RCC				RCC_AHB1Periph_GPIOD

#define LED_ORANGE_GPIO			GPIOD
#define LED_ORANGE_PIN			GPIO_Pin_13
#define LED_ORANGE_RCC			RCC_AHB1Periph_GPIOD

#define LED_RED_ON				{ LED_RED_GPIO->BSRRL = LED_RED_PIN; }
#define LED_RED_OFF				{ LED_RED_GPIO->BSRRH = LED_RED_PIN; }

#define LED_GREEN_ON			{ LED_GREEN_GPIO->BSRRL = LED_GREEN_PIN; }
#define LED_GREEN_OFF			{ LED_GREEN_GPIO->BSRRH = LED_GREEN_PIN; }

#define LED_BLUE_ON				{ LED_BLUE_GPIO->BSRRL = LED_BLUE_PIN; }
#define LED_BLUE_OFF			{ LED_BLUE_GPIO->BSRRH = LED_BLUE_PIN; }

#define LED_ORANGE_ON			{ LED_ORANGE_GPIO->BSRRL = LED_ORANGE_PIN; }
#define LED_ORANGE_OFF			{ LED_ORANGE_GPIO->BSRRH = LED_ORANGE_PIN; }

/* High layer functions  */
void LEDs_Init(void);

/* Low layer functions */

#ifdef __cplusplus
}
#endif

#endif /* __LEDS_H */

