/**
  */ 

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __SPI1_H
#define __SPI1_H

#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx.h"

/* SPI1 Interface pins  */
#define SPI1_CLK					RCC_APB2Periph_SPI1
#define SPI1_CLK_INIT				RCC_APB2PeriphClockCmd

#define SPI1_SCK_PIN                GPIO_Pin_5
#define SPI1_SCK_GPIO_PORT          GPIOA
#define SPI1_SCK_GPIO_CLK           RCC_AHB1Periph_GPIOA
#define SPI1_SCK_SOURCE             GPIO_PinSource5
#define SPI1_SCK_AF                 GPIO_AF_SPI1

#define SPI1_MISO_PIN               GPIO_Pin_6
#define SPI1_MISO_GPIO_PORT         GPIOA
#define SPI1_MISO_GPIO_CLK          RCC_AHB1Periph_GPIOA
#define SPI1_MISO_SOURCE            GPIO_PinSource6
#define SPI1_MISO_AF                GPIO_AF_SPI1

#define SPI1_MOSI_PIN               GPIO_Pin_7
#define SPI1_MOSI_GPIO_PORT         GPIOA
#define SPI1_MOSI_GPIO_CLK          RCC_AHB1Periph_GPIOA
#define SPI1_MOSI_SOURCE            GPIO_PinSource7
#define SPI1_MOSI_AF                GPIO_AF_SPI1

// Alternate Mappings
//#define SPI1_SCK_PIN                GPIO_Pin_3
//#define SPI1_SCK_GPIO_PORT          GPIOB
//#define SPI1_SCK_GPIO_CLK           RCC_AHB1Periph_GPIOB
//#define SPI1_SCK_SOURCE             GPIO_PinSource3
//
//#define SPI1_MISO_PIN               GPIO_Pin_4
//#define SPI1_MISO_GPIO_PORT         GPIOB
//#define SPI1_MISO_GPIO_CLK          RCC_AHB1Periph_GPIOB
//#define SPI1_MISO_SOURCE            GPIO_PinSource4
//
//#define SPI1_MOSI_PIN               GPIO_Pin_5
//#define SPI1_MOSI_GPIO_PORT         GPIOB
//#define SPI1_MOSI_GPIO_CLK          RCC_AHB1Periph_GPIOB
//#define SPI1_MOSI_SOURCE            GPIO_PinSource5


/* High layer functions  */
void SPI1_DeInit(void);
void SPI1_Init(uint16_t prescaler);

/* Low layer functions */
void SPI1_Send(uint16_t data);
uint16_t SPI1_SendReceive(uint16_t data);
uint16_t SPI1_WaitSend(void);
uint16_t SPI1_ChangeSpeed(uint16_t prescaler);
uint16_t SPI1_ChangeDatasize(uint16_t datasize);

#ifdef __cplusplus
}
#endif

#endif /* __SPI1_H */

