/**
  */ 

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __SPI2_H
#define __SPI2_H

#ifdef __cplusplus
 extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32f4xx.h"

/* SPI2 Interface pins  */  
#define SPI2_CLK					RCC_APB1Periph_SPI2
#define SPI2_CLK_INIT				RCC_APB1PeriphClockCmd

#define SPI2_SCK_PIN                GPIO_Pin_13
#define SPI2_SCK_GPIO_PORT          GPIOB
#define SPI2_SCK_GPIO_CLK           RCC_AHB1Periph_GPIOB
#define SPI2_SCK_SOURCE             GPIO_PinSource13
#define SPI2_SCK_AF                 GPIO_AF_SPI2

#define SPI2_MISO_PIN               GPIO_Pin_14
#define SPI2_MISO_GPIO_PORT         GPIOB
#define SPI2_MISO_GPIO_CLK          RCC_AHB1Periph_GPIOB
#define SPI2_MISO_SOURCE            GPIO_PinSource14
#define SPI2_MISO_AF                GPIO_AF_SPI2

#define SPI2_MOSI_PIN               GPIO_Pin_15
#define SPI2_MOSI_GPIO_PORT         GPIOB
#define SPI2_MOSI_GPIO_CLK          RCC_AHB1Periph_GPIOB
#define SPI2_MOSI_SOURCE            GPIO_PinSource15
#define SPI2_MOSI_AF                GPIO_AF_SPI2

/* High layer functions  */
void SPI2_DeInit(void);
void SPI2_Init(uint16_t prescaler);

/* Low layer functions */
void SPI2_Send(uint16_t data);
uint16_t SPI2_SendReceive(uint16_t data);
uint16_t SPI2_WaitSend(void);
uint16_t SPI2_ChangeSpeed(uint16_t prescaler);
uint16_t SPI2_ChangeDatasize(uint16_t datasize);

#ifdef __cplusplus
}
#endif

#endif /* __SPI2_H */

